Bug 76232 - Table: Merging Two Cells Leads to an Additional Line Break
Summary: Table: Merging Two Cells Leads to an Additional Line Break
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2014-03-16 14:55 UTC by A (Andy)
Modified: 2018-01-26 03:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2014-03-16 14:55:33 UTC
Problem Description: 
If you merge two cells (first is empty and the second is with text) then you get an additional line break.

Steps to Reproduce:
1. Open WRITER
2. Go to TABLE -> INSERT -> TABLE
3. Press INSERT to insert a 2 x 2 table
4. Go to the cell in row 1 and column 2 and write "Test", keep attention that the cell in row 1 and column 1 is empty 
5. Select the complete first row and make a right mouse click
6. Go to CELL -> Merge

Result:
The first row has to lines (one empty line with a line break and a second line with the word "Test")

7. Now select the second row, keep attention that this row is completly empty
8. Make a right mouse click and go to CELL -> MERGE

Result:
The second row is merged and it is still correctly only one line.

Expected Behavior:
In the first case if the first cell is empty (no character, even no blank character) then there should be no additional line break leading to two lines.
              
Reproduced with LO 4.2.1.1 (Win 8.1)
Comment 1 Thomas van der Meulen 2014-03-21 13:46:01 UTC
Thank you for your bug report, 

I can reproduce just like the explained in the bug running 
Version: 4.2.3.1
Build ID: 3d4fc3d9dbf8f4c0aeb61498a81f91c5b7922f13
OS: Mac osx 10.9.2
Comment 2 Joel Madero 2015-05-02 15:43:00 UTC Comment hidden (obsolete)
Comment 3 Gordo 2015-05-14 12:50:27 UTC
Still reproducible.


    A      B      C
1| test |      |
----------------------
2|      | test |
----------------------
3|      |      | test

In the above example table, if you merge:
- A1 and B1 then there is no extra paragraph after test
- A2 and B2 then there is an extra paragraph before test (Andy's example)
- B1 and B2 then there is an extra paragraph before test
- A1, B1, and C1 then there is no extra paragraph after test
- A1, A2, and A3 then there is no extra paragraph after test
- A3, B3, and C3 then there is an extra paragraph before test
- C1, C2, and C3 then there is an extra paragraph before test

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 4 QA Administrators 2016-09-20 09:41:38 UTC Comment hidden (obsolete)
Comment 5 Telesto 2017-01-25 18:13:44 UTC
Confirming with:
Version: 5.4.0.0.alpha0+
Build ID: 79497f458727a0dea983847fe9d3873bf9c2e972
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-01-24_03:10:09
Locale: nl-NL (nl_NL); Calc: CL

and with:
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 6 QA Administrators 2018-01-26 03:27:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug